import { ComplexDecimal } from './ComplexDecimal';
import * as AST from './AST';
import { Evaluator } from './Evaluator';
export declare class FunctionHandle {
    static readonly FUNCTION_HANDLE: number;
    readonly type: number;
    parent: any;
    id: string | null;
    commat: boolean;
    parameter: AST.NodeExpr[];
    expression: AST.NodeExpr;
    constructor(id?: string | null, commat?: boolean, parameter?: AST.NodeExpr[] | null, expression?: AST.NodeExpr);
    static newThis(id?: string | null, commat?: boolean, parameter?: AST.NodeExpr[] | null, expression?: AST.NodeExpr): FunctionHandle;
    static unparse(fhandle: FunctionHandle, evaluator: Evaluator): string;
    static unparseMathML(fhandle: FunctionHandle, evaluator: Evaluator): string;
    static copy(fhandle: FunctionHandle): FunctionHandle;
    copy(): FunctionHandle;
    static toLogical(fhandle: FunctionHandle): ComplexDecimal;
    toLogical(): ComplexDecimal;
}
