import { ATN, CharStream, DFA, Lexer, RuleContext } from "antlr4";
export default class MathJSLabLexer extends Lexer {
    static readonly GLOBAL = 1;
    static readonly PERSISTENT = 2;
    static readonly IF = 3;
    static readonly ENDIF = 4;
    static readonly END = 5;
    static readonly ENDRANGE = 6;
    static readonly ELSEIF = 7;
    static readonly ELSE = 8;
    static readonly SWITCH = 9;
    static readonly ENDSWITCH = 10;
    static readonly CASE = 11;
    static readonly OTHERWISE = 12;
    static readonly WHILE = 13;
    static readonly ENDWHILE = 14;
    static readonly DO = 15;
    static readonly UNTIL = 16;
    static readonly FOR = 17;
    static readonly ENDFOR = 18;
    static readonly PARFOR = 19;
    static readonly ENDPARFOR = 20;
    static readonly BREAK = 21;
    static readonly CONTINUE = 22;
    static readonly RETURN = 23;
    static readonly FUNCTION = 24;
    static readonly ENDFUNCTION = 25;
    static readonly TRY = 26;
    static readonly CATCH = 27;
    static readonly END_TRY_CATCH = 28;
    static readonly UNWIND_PROTECT = 29;
    static readonly UNWIND_PROTECT_CLEANUP = 30;
    static readonly END_UNWIND_PROTECT = 31;
    static readonly CLASSDEF = 32;
    static readonly ENDCLASSDEF = 33;
    static readonly ENUMERATION = 34;
    static readonly ENDENUMERATION = 35;
    static readonly PROPERTIES = 36;
    static readonly ENDPROPERTIES = 37;
    static readonly EVENTS = 38;
    static readonly ENDEVENTS = 39;
    static readonly METHODS = 40;
    static readonly ENDMETHODS = 41;
    static readonly WSPACE = 42;
    static readonly STRING = 43;
    static readonly ARGUMENTS = 44;
    static readonly PLUS = 45;
    static readonly MINUS = 46;
    static readonly MUL = 47;
    static readonly DIV = 48;
    static readonly EQ = 49;
    static readonly COLON = 50;
    static readonly SEMICOLON = 51;
    static readonly COMMA = 52;
    static readonly DOT = 53;
    static readonly TILDE = 54;
    static readonly EXCLAMATION = 55;
    static readonly COMMAT = 56;
    static readonly LPAREN = 57;
    static readonly RPAREN = 58;
    static readonly LBRACKET = 59;
    static readonly RBRACKET = 60;
    static readonly LCURLYBR = 61;
    static readonly RCURLYBR = 62;
    static readonly LEFTDIV = 63;
    static readonly ADD_EQ = 64;
    static readonly SUB_EQ = 65;
    static readonly MUL_EQ = 66;
    static readonly DIV_EQ = 67;
    static readonly LEFTDIV_EQ = 68;
    static readonly POW_EQ = 69;
    static readonly EMUL_EQ = 70;
    static readonly EDIV_EQ = 71;
    static readonly ELEFTDIV_EQ = 72;
    static readonly EPOW_EQ = 73;
    static readonly AND_EQ = 74;
    static readonly OR_EQ = 75;
    static readonly EXPR_AND_AND = 76;
    static readonly EXPR_OR_OR = 77;
    static readonly EXPR_AND = 78;
    static readonly EXPR_OR = 79;
    static readonly EXPR_LT = 80;
    static readonly EXPR_LE = 81;
    static readonly EXPR_EQ = 82;
    static readonly EXPR_NE = 83;
    static readonly EXPR_GE = 84;
    static readonly EXPR_GT = 85;
    static readonly EMUL = 86;
    static readonly EDIV = 87;
    static readonly ELEFTDIV = 88;
    static readonly PLUS_PLUS = 89;
    static readonly MINUS_MINUS = 90;
    static readonly POW = 91;
    static readonly EPOW = 92;
    static readonly TRANSPOSE = 93;
    static readonly HERMITIAN = 94;
    static readonly DQSTRING = 95;
    static readonly IDENTIFIER = 96;
    static readonly FLOAT_NUMBER = 97;
    static readonly NUMBER_DOT_OP = 98;
    static readonly SPACE_OR_CONTINUATION = 99;
    static readonly NEWLINE = 100;
    static readonly BLOCK_COMMENT_START = 101;
    static readonly COMMENT_LINE = 102;
    static readonly INVALID = 103;
    static readonly SINGLEQ_STRING = 104;
    static readonly SINGLEQ_NL = 105;
    static readonly SINGLEQ_SINGLEQ = 106;
    static readonly SINGLEQ_END = 107;
    static readonly DOUBLEQ_STRING = 108;
    static readonly DOUBLEQ_NL = 109;
    static readonly DOUBLEQ_DOUBLEQ = 110;
    static readonly DOUBLEQ_ESCAPE = 111;
    static readonly DOUBLEQ_ESCAPE_OTHER = 112;
    static readonly DOUBLEQ_ESCAPE_OCT = 113;
    static readonly DOUBLEQ_ESCAPE_HEX = 114;
    static readonly DOUBLEQ_ESCAPE_UNICODE = 115;
    static readonly DOUBLEQ_END = 116;
    static readonly BLOCK_COMMENT_START_AGAIN = 117;
    static readonly BLOCK_COMMENT_END = 118;
    static readonly BLOCK_COMMENT_LINE = 119;
    static readonly BLOCK_COMMENT_EOF = 120;
    static readonly SKIP_SPACE = 121;
    static readonly SKIP_COMMENT_LINE = 122;
    static readonly EXIT_AT_NEWLINE = 123;
    static readonly EXIT_AT_EOF = 124;
    static readonly UNQUOTED_STRING = 125;
    static readonly EOF: number;
    static readonly SQ_STRING = 1;
    static readonly DQ_STRING = 2;
    static readonly BLOCK_COMMENT = 3;
    static readonly ANY_AS_STRING_UNTIL_END_OF_LINE = 4;
    static readonly channelNames: string[];
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    /**
     * Reserved keywords.
     */
    static keywordNames: (string | null)[];
    /**
     * Reserved keywords token types.
     */
    static keywordTypes: number[];
    /**
     * Word-list commands
     */
    commandNames: string[];
    /**
     * Lexer context.
     */
    previousTokenType: number;
    parenthesisCount: number;
    matrixContext: number[];
    quotedString: string;
    constructor(input: CharStream);
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    get channelNames(): string[];
    get modeNames(): string[];
    action(localctx: RuleContext, ruleIndex: number, actionIndex: number): void;
    private PLUS_action;
    private MINUS_action;
    private MUL_action;
    private DIV_action;
    private EQ_action;
    private COLON_action;
    private SEMICOLON_action;
    private COMMA_action;
    private DOT_action;
    private TILDE_action;
    private EXCLAMATION_action;
    private COMMAT_action;
    private LPAREN_action;
    private RPAREN_action;
    private LBRACKET_action;
    private RBRACKET_action;
    private LCURLYBR_action;
    private RCURLYBR_action;
    private LEFTDIV_action;
    private ADD_EQ_action;
    private SUB_EQ_action;
    private MUL_EQ_action;
    private DIV_EQ_action;
    private LEFTDIV_EQ_action;
    private POW_EQ_action;
    private EMUL_EQ_action;
    private EDIV_EQ_action;
    private ELEFTDIV_EQ_action;
    private EPOW_EQ_action;
    private AND_EQ_action;
    private OR_EQ_action;
    private EXPR_AND_AND_action;
    private EXPR_OR_OR_action;
    private EXPR_AND_action;
    private EXPR_OR_action;
    private EXPR_LT_action;
    private EXPR_LE_action;
    private EXPR_EQ_action;
    private EXPR_NE_action;
    private EXPR_GE_action;
    private EXPR_GT_action;
    private EMUL_action;
    private EDIV_action;
    private ELEFTDIV_action;
    private PLUS_PLUS_action;
    private MINUS_MINUS_action;
    private POW_action;
    private EPOW_action;
    private TRANSPOSE_action;
    private HERMITIAN_action;
    private DQSTRING_action;
    private IDENTIFIER_action;
    private FLOAT_NUMBER_action;
    private NUMBER_DOT_OP_action;
    private SPACE_OR_CONTINUATION_action;
    private NEWLINE_action;
    private BLOCK_COMMENT_START_action;
    private COMMENT_LINE_action;
    private SINGLEQ_STRING_action;
    private SINGLEQ_NL_action;
    private SINGLEQ_SINGLEQ_action;
    private SINGLEQ_END_action;
    private DOUBLEQ_STRING_action;
    private DOUBLEQ_NL_action;
    private DOUBLEQ_DOUBLEQ_action;
    private DOUBLEQ_ESCAPE_action;
    private DOUBLEQ_ESCAPE_OTHER_action;
    private DOUBLEQ_ESCAPE_OCT_action;
    private DOUBLEQ_ESCAPE_HEX_action;
    private DOUBLEQ_ESCAPE_UNICODE_action;
    private DOUBLEQ_END_action;
    private BLOCK_COMMENT_START_AGAIN_action;
    private BLOCK_COMMENT_END_action;
    private BLOCK_COMMENT_EOF_action;
    private EXIT_AT_NEWLINE_action;
    private EXIT_AT_EOF_action;
    private UNQUOTED_STRING_action;
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
