import * as AST from './AST';
import { AliasFunction, BuiltInFunctionTable, BuiltInFunctionTableEntry } from './Evaluator';
export declare class SymbolTable {
    variableTable: Record<string, AST.NodeExpr>;
    functionTable: Record<string, AST.NodeFunction>;
    builtInTable: BuiltInFunctionTable;
    aliasName: AliasFunction;
    parent: SymbolTable | null;
    child: SymbolTable[];
    scope: string | null;
    constructor(builtInTable: BuiltInFunctionTable, aliasName: AliasFunction, parent?: SymbolTable | null, scope?: string | null, node?: any);
    lookupVariable(id: string): [AST.NodeExpr, string | null] | null;
    insertVariable(id: string, expression: AST.NodeExpr): [AST.NodeExpr, string | null];
    lookupFunction(id: string): [AST.NodeFunction | BuiltInFunctionTableEntry, string | null] | null;
    insertFunction(id: string, entry: AST.NodeFunction): [AST.NodeFunction, string | null];
}
